KSqueezedTextLabel Class Reference

`#include <ksqueezedtextlabel.h>`

Inherits QLabel.

## Public Slots

void | setText (const QString &)

## Public Member Functions

| KSqueezedTextLabel (QWidget *parent, const char *name=0)
| KSqueezedTextLabel (const QString &text, QWidget *parent, const char *name=0)
virtual QSize | minimumSizeHint () const
virtual QSize | sizeHint () const
virtual void | setAlignment (int)

## Protected Member Functions

void | resizeEvent (QResizeEvent *)
void | squeezeTextToLabel ()
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QString | fullText

## Detailed Description

A replacement for QLabel that squeezes its text.

A label class that squeezes its text into the label

If the text is too long to fit into the label it is divided into remaining left and right parts which are separated by three dots.

Example: http://www.kde.org/documentation/index.html could be squeezed to http://www.kde...ion/index.html

KSqueezedTextLabel Widget

Author
  Ronny Standtke Ronny.nosp@m..Sta.nosp@m.ndtke.nosp@m.@gmx.nosp@m..de

Definition at line 46 of file ksqueezedtextlabel.h.

## Constructor & Destructor Documentation

KSqueezedTextLabel::KSqueezedTextLabel | ( | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Default constructor.

Definition at line 30 of file ksqueezedtextlabel.cpp.

## Member Function Documentation

void KSqueezedTextLabel::resizeEvent | ( | QResizeEvent * |  | ) |

protected

used when widget is resized

Definition at line 35 of file ksqueezedtextlabel.cpp.

void KSqueezedTextLabel::setAlignment | ( | int | alignment | ) |

virtual

Overridden for internal reasons; the API remains unaffected.

Definition at line 76 of file ksqueezedtextlabel.cpp.

void KSqueezedTextLabel::squeezeTextToLabel | ( |  | ) |

protected

does the dirty work

Definition at line 56 of file ksqueezedtextlabel.cpp.

The documentation for this class was generated from the following files:

- ksqueezedtextlabel.h
- ksqueezedtextlabel.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys